make.cdf.package {makecdfenv} | R Documentation

## CDF Environment Package Maker

### Description

This function reads an Affymetrix chip description file (CDF) and creates an R package that when loaded has the CDF environment available for use.

### Usage

    make.cdf.package(filename,
      packagename  = NULL,
      cdf.path     = getwd(),
      package.path = getwd(),
      compress     = FALSE,
      author       = "The Bioconductor Project",
      maintainer   = "Biocore Data Team <biocannotation@lists.fhcrc.org>",
      version      = packageDescription("makecdfenv", field="Version"),
      species      = NULL,
      unlink       = FALSE,
      verbose      = TRUE)

### Arguments

`filename` | Character. Filename of the CDF file - without the path prefix!
`packagename` | Character. Name wanted for the package.
`cdf.path` | Character. Path to the CDF file.
`package.path` | Character. Path where the package will be created.
`compress` | Logical. If `TRUE`, CDF file is compressed.
`author` | Character. What to put in the `author` field of the package.
`maintainer` | Character. What to put in the `maintainer` field of the package.
`version` | Character. What to put in the version field. Should be a of the form `x.x.x`.
`species` | Character. Must be specified using the format e.g., Homo_sapiens
`unlink` | Logical. If `TRUE`, and a package directory exists already in `package.path`, that is overwritten.
`verbose` | Logical. If `TRUE` messages are shown.

### Details

The function is called for its side effect, creating a package. By default the package name will be the name of the CDF file made lower case and with special characters removed (i.e. only alpha-numeric).

In general one would want to use the name given in by `cleancdfname(abatch@cdfName)` with `abatch` an `AffyBatch` object obtained, for example, using `ReadAffy`. This is the package name that the `affy` package looks for by default.

If the user has a CEL file, called `filename`, the recommended package name for the environment is `cleancdfname(whatcdf(filename))`. This usually coincides with the default.

Please see the vignette for more details.

### Value

If success, the function returns the name of the created package.

### Author(s)

Rafael A. Irizarry, Wolfgang Huber

### See Also

`make.cdf.env`

### Examples

      pkgpath <- tempdir()
      make.cdf.package("Hu6800.CDF.gz",
               cdf.path=system.file("extdata", package="makecdfenv"),
               compress=TRUE, species = "Homo_sapiens",
               package.path = pkgpath)
      dir(pkgpath)

[Package makecdfenv version 1.14.0 Index]